summaryrefslogtreecommitdiff
path: root/doc/make_doc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'doc/make_doc.sh')
-rwxr-xr-x[-rw-r--r--]doc/make_doc.sh18
1 files changed, 15 insertions, 3 deletions
diff --git a/doc/make_doc.sh b/doc/make_doc.sh
index aa9b47cd46..a76f568bfc 100644..100755
--- a/doc/make_doc.sh
+++ b/doc/make_doc.sh
@@ -1,5 +1,17 @@
#! /bin/bash
-cd html/class_list
-python ../../../tools/docdump/makehtml.py -multipage ../../base/classes.xml
-cd ../..
+here="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+godotHome=$(dirname "$here")
+docTarget=${here}/html/class_list
+toolsRoot=${godotHome}/tools
+
+throw() {
+ echo "$@" >&2
+ exit 1
+}
+
+[ -d "$docTarget" ] || mkdir -p "$docTarget" || throw "Could not create doc target $docTarget"
+
+cd "$docTarget"
+python ${toolsRoot}/docdump/makehtml.py -multipage ${here}/base/classes.xml
+cd "$here"